Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.utils
Class ExtractWikipedia

    java.lang.Object
      org.apache.lucene.benchmark.utils.ExtractWikipedia

    public class ExtractWikipedia

extends Object

Extract the downloaded Wikipedia dump into separate files for indexing.

Nested Class Summary
`class` | `ExtractWikipedia.Parser`

Field Summary
`static int` | `count`

Constructor Summary
`ExtractWikipedia(File wikipedia, File outputDir)`

Method Summary
`void` | `extract()`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### count

    public static int count

Constructor Detail

### ExtractWikipedia

    public ExtractWikipedia(File wikipedia,
                            File outputDir)

Method Detail

### extract

    public void extract()

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.